Name:	  edac-utils
Version:  0.16
Release:  21
Summary:  Userspace helper for Linux kernel EDAC drivers
License:  GPLv2+
URL:      https://sourceforge.net/projects/edac-utils/
Source0:  https://sourceforge.net/projects/edac-utils/files/edac-utils/%{version}/%{name}-%{version}.tar.bz2
Source1:  edac.service

ExclusiveArch:	%{ix86} x86_64 %{arm} aarch64
BuildRequires:	gcc libsysfs-devel systemd perl-generators 

Requires:	hwdata systemd sysfsutils

%description
EDAC (Error Detection and Correction) is a set of Linux kernel
modules that handle reporting of hardware-related errors. Currently
these modules mainly handle detection of ECC memory errors for many
x86 and x86-64 chipsets and PCI bus parity errors.

%package	devel
Summary:	edac libs and headers
Requires:	%{name} = %{version}-%{release}

%description	devel
headers and libs for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
rm -rf %RPM_BUILD_ROOT
%make_install
install -p -D -m 0644 %{SOURCE1} %{buildroot}/usr/lib/systemd/system/edac.service
rm -rf %{buildroot}%{_sysconfdir}/init.d/edac
%delete_la_and_a

%check
make check

%pre
%post
ldconfig
# first time install
if [ $1 -eq 1 ]; then
	systemctl daemon-reload || :
fi

%preun
ldconfig
# uninstall
if [ $1 -eq 0 ]; then
	systemctl stop edac || :
	systemctl disable edac || :
fi
%postun
ldconfig
#upgrade, remove old package
if [ $1 -eq 1 ]; then
	systemctl daemon-reload
	systemctl restart edac > /dev/null || :
fi

%files
%defattr(-,root,root)
%doc COPYING ChangeLog DISCLAIMER NEWS README
%{_bindir}/*
%{_libdir}/libedac.so.*
%config(noreplace) %{_sysconfdir}/edac/*
%{_prefix}/lib/systemd/system/edac.service
%{_sbindir}/edac-ctl

%files devel
%defattr(-,root,root)
%{_includedir}/edac.h
%{_libdir}/libedac.so

%files help
%defattr(-,root,root)
%doc NEWS README
%{_mandir}/man1/*
%{_mandir}/man3/edac.3.gz
%{_mandir}/man8/edac-ctl.8.gz

%changelog
* Wed Dec 1 2021 panxiaohe<panxiaohe@huawei.com> - 0.16-21
- Remove ExecStop from service file because unload is deprecated option

* Tue Aug 13 2019 openEuler Builteam <buildteam@openeuler.org> - 0.16-20
- Package init
